﻿using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.DependencyInjection;
using ModrinkyWebApp.Models;
[assembly: HostingStartup(typeof(Modrinky.Areas.Identity.IdentityHostingStartup))]
namespace Modrinky.Areas.Identity
{
    public class IdentityHostingStartup : IHostingStartup
    {
        public void Configure(IWebHostBuilder builder)
        {
            //zmena pozadovanych nalezitosti zadavanych hesel
            builder.ConfigureServices((context, services) => {
                services.AddDefaultIdentity<Uzivatel>(options =>
                {
                    options.Password.RequiredLength = 6;
                    options.Password.RequireLowercase = false;
                    options.Password.RequireUppercase = false;
                    options.Password.RequireNonAlphanumeric = false;
                    options.Password.RequireDigit = false;
                }).AddEntityFrameworkStores<ModrinkyDbContext>();
            });
        }
    }
}