﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace ModrinkyWebApp.Migrations
{
    public partial class Refaktor : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PrihlaseniArchiv_Clen_ClenArchivId",
                table: "PrihlaseniArchiv");

            migrationBuilder.AddForeignKey(
                name: "FK_PrihlaseniArchiv_ClenArchiv_ClenArchivId",
                table: "PrihlaseniArchiv",
                column: "ClenArchivId",
                principalTable: "ClenArchiv",
                principalColumn: "ClenArchivId",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PrihlaseniArchiv_ClenArchiv_ClenArchivId",
                table: "PrihlaseniArchiv");

            migrationBuilder.AddForeignKey(
                name: "FK_PrihlaseniArchiv_Clen_ClenArchivId",
                table: "PrihlaseniArchiv",
                column: "ClenArchivId",
                principalTable: "Clen",
                principalColumn: "ClenId",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
