﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace ModrinkyWebApp.Migrations
{
    public partial class refaktorArchivu2 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PrihlaseniArchiv_AkceArchiv_AkceArchivId",
                table: "PrihlaseniArchiv");

            migrationBuilder.AddForeignKey(
                name: "FK_PrihlaseniArchiv_Akce_AkceArchivId",
                table: "PrihlaseniArchiv",
                column: "AkceArchivId",
                principalTable: "Akce",
                principalColumn: "AkceId",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_PrihlaseniArchiv_Akce_AkceArchivId",
                table: "PrihlaseniArchiv");

            migrationBuilder.AddForeignKey(
                name: "FK_PrihlaseniArchiv_AkceArchiv_AkceArchivId",
                table: "PrihlaseniArchiv",
                column: "AkceArchivId",
                principalTable: "AkceArchiv",
                principalColumn: "AkceArchivId",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
