﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ModrinkyWebApp.Migrations
{
    public partial class odebraniArchivu : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "AkceArchiv");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "AkceArchiv",
                columns: table => new
                {
                    AkceArchivId = table.Column<Guid>(type: "uuid", nullable: false),
                    AutorId = table.Column<Guid>(type: "uuid", nullable: false),
                    DenKonani = table.Column<int>(type: "integer", nullable: true),
                    DlouhyPopis = table.Column<string>(type: "text", nullable: true),
                    KratkyPopis = table.Column<string>(type: "text", nullable: true),
                    MesicKonani = table.Column<string>(type: "text", nullable: true),
                    Nazev = table.Column<string>(type: "text", nullable: true),
                    RokKonani = table.Column<int>(type: "integer", nullable: true),
                    Stitek = table.Column<string>(type: "text", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_AkceArchiv", x => x.AkceArchivId);
                    table.ForeignKey(
                        name: "FK_AkceArchiv_Uzivatel_AutorId",
                        column: x => x.AutorId,
                        principalTable: "Uzivatel",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateIndex(
                name: "IX_AkceArchiv_AutorId",
                table: "AkceArchiv",
                column: "AutorId");
        }
    }
}
