﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class ClenArchivRepository : IClenArchivRepository
    {
        private readonly ModrinkyDbContext dbContext;
        public ClenArchivRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }

        public void PridaniArchivnihoClena(ClenArchiv clen)
        {
            dbContext.ClenArchiv.Add(clen);
        }

        public IEnumerable<ClenArchiv> VsichniArchivniCleni()
        {
            return dbContext.ClenArchiv.ToList();
        }

        public void Aktualizace(ClenArchiv clen)
        {
            dbContext.ClenArchiv.Update(clen);
        }
    }
}
