﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class DruzinaRepository : IDruzinaRepository
    {
        private readonly ModrinkyDbContext dbContext;

        public DruzinaRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }

        public void UpravaDruziny(Druzina druzina)
        {
            Druzina pom = VsechnyDruziny().FirstOrDefault(x => x.DruzinaId == druzina.DruzinaId);

            pom.VedouciDruzinyId = druzina.VedouciDruzinyId;
           
        }

        public IEnumerable<Druzina> VsechnyDruziny()
        {
            return dbContext.Druzina.ToList();
        }
    }
}
