﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public interface IAkceRepository
    {
        List<Akce> VsechnyAkce();
        List<Akce> VsechnyArchivniAkce();
        Akce AkcePodleId(Guid akceId);
        void PridatAkci(Akce akce);
        void OdebratAkci(Guid akceId);
        void EditaceAkce(Akce akce);
    }
}
