﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public interface IPovolenaDruzinaRepository
    {
        IEnumerable<PovolenaDruzina> VsechnyPovoleneDruziny();
        PovolenaDruzina PovoleneDruzinyPodleId(Guid povolenaDruzinaId);
        void PridaniPovoleneDruziny(PovolenaDruzina povolenaDruzina);
        void OdebraniPovoleneDruziny(Guid povolenaDruzinaId);
        void VymazPovoleneDruzinyProAkci(Guid akceId);
    }
}
