﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public interface IPrihlaseniNaAkciClenRepository
    {
        IEnumerable<PrihlaseniNaAkciClen> VsechnaPrihlaseniNaAkci();
        IEnumerable<PrihlaseniNaAkciClen> PrihlaseniNaAkci(Guid id);
        IEnumerable<PrihlaseniNaAkciClen> PrihlaseniNaAkciClen(Guid id);

        void PridaniPrihlaseni(PrihlaseniNaAkciClen prihlaseni);
        void OdebraniPrihlaseni(Guid id);
        void OdebraniPrihlaseni(PrihlaseniNaAkciClen prihlaseni);

        PrihlaseniNaAkciClen PrihlaseniNaAkciPodleId(Guid id);
    }
}
