﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{

    public interface IUnitOfWork
    {
        IAkceRepository AkceRepository { get; set; }
        IAktualitaRepository AktualitaRepository { get; set; }
        IClenArchivRepository ClenArchivRepository { get; set; }
        IClenRepository ClenRepository { get; set; }
         IDruzinaRepository DruzinaRepository { get; set; }
        IPovolenaDruzinaRepository PovolenaDruzinaRepository { get; set; }
        IPrihlaseniArchivRepository PrihlaseniArchivRepository { get; set; }
        IPrihlaseniNaAkciClenRepository PrihlaseniNaAkciClenRepository { get; set; }
        IPrihlaseniNaAkciUzivatelRepository PrihlaseniNaAkciUzivatelRepository { get; set; }
        IRoleRepository RoleRepository { get; set; }
        IUzivatelRepository UzivatelRepository { get; set; }
        void Commit();
    }
}
