﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class PrihlaseniArchivRepository : IPrihlaseniArchivRepository
    {
        private readonly ModrinkyDbContext dbContext;
        public PrihlaseniArchivRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }

        public void PridaniArchivnihoPrihlaseni(PrihlaseniArchiv prihlaseniArchiv)
        {
            dbContext.PrihlaseniArchiv.Add(prihlaseniArchiv);
        }

        public IEnumerable<PrihlaseniArchiv> VsechnaArchivniPrihlaseni()
        {
            return dbContext.PrihlaseniArchiv.ToList();
        }
    }
}
