﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public class RoleRepository : IRoleRepository
    {
        private readonly ModrinkyDbContext dbContext;
        public RoleRepository(ModrinkyDbContext dbContext)
        {
            this.dbContext = dbContext;
        }

        public Role RolePodleId(int roleId)
        {
            return dbContext.Role.FirstOrDefault(r => r.RoleId == roleId);
        }

        public IEnumerable<Role> VsechnyRole()
        {
            return dbContext.Role.ToList();
        }
    }
}
