﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ModrinkyWebApp.Migrations
{
    public partial class pridaniVedouciDruziny : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Informace",
                table: "Druzina",
                nullable: true);

            migrationBuilder.AddColumn<Guid>(
                name: "VedouciDruzinyId",
                table: "Druzina",
                nullable: false,
                defaultValue: new Guid("00000000-0000-0000-0000-000000000000"));

            migrationBuilder.CreateIndex(
                name: "IX_Druzina_VedouciDruzinyId",
                table: "Druzina",
                column: "VedouciDruzinyId",
                unique: true);

            migrationBuilder.AddForeignKey(
                name: "FK_Druzina_Uzivatel_VedouciDruzinyId",
                table: "Druzina",
                column: "VedouciDruzinyId",
                principalTable: "Uzivatel",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Druzina_Uzivatel_VedouciDruzinyId",
                table: "Druzina");

            migrationBuilder.DropIndex(
                name: "IX_Druzina_VedouciDruzinyId",
                table: "Druzina");

            migrationBuilder.DropColumn(
                name: "Informace",
                table: "Druzina");

            migrationBuilder.DropColumn(
                name: "VedouciDruzinyId",
                table: "Druzina");
        }
    }
}
