﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace ModrinkyWebApp.Migrations
{
    public partial class refaktor2 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Druzina_Uzivatel_VedouciDruzinyId",
                table: "Druzina");

            migrationBuilder.AlterColumn<Guid>(
                name: "VedouciDruzinyId",
                table: "Druzina",
                nullable: true,
                oldClrType: typeof(Guid),
                oldType: "uuid");

            migrationBuilder.AddForeignKey(
                name: "FK_Druzina_Uzivatel_VedouciDruzinyId",
                table: "Druzina",
                column: "VedouciDruzinyId",
                principalTable: "Uzivatel",
                principalColumn: "Id",
                onDelete: ReferentialAction.Restrict);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_Druzina_Uzivatel_VedouciDruzinyId",
                table: "Druzina");

            migrationBuilder.AlterColumn<Guid>(
                name: "VedouciDruzinyId",
                table: "Druzina",
                type: "uuid",
                nullable: false,
                oldClrType: typeof(Guid),
                oldNullable: true);

            migrationBuilder.AddForeignKey(
                name: "FK_Druzina_Uzivatel_VedouciDruzinyId",
                table: "Druzina",
                column: "VedouciDruzinyId",
                principalTable: "Uzivatel",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
