﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.Models.Repositare
{
    public interface IPrihlaseniNaAkciUzivatelRepository
    {
        IEnumerable<PrihlaseniNaAkciUzivatel> VsechnaPrihlaseniNaAkci();
        IEnumerable<PrihlaseniNaAkciUzivatel> PrihlaseniNaAkci(Guid id);
        IEnumerable<PrihlaseniNaAkciUzivatel> PrihlaseniNaAkciUzivatele(Guid id);
        void PridaniPrihlaseni(PrihlaseniNaAkciUzivatel prihlaseni);
        void OdebraniPrihlaseni(Guid id);
        void OdebraniPrihlaseni(PrihlaseniNaAkciUzivatel prihlaseni);
        PrihlaseniNaAkciUzivatel PrihlaseniNaAkciPodleId(Guid id);
    }
}
