﻿using ModrinkyWebApp.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ModrinkyWebApp.ViewModels
{
    public class MojeDruzinaViewModel
    {
        public bool MaDruzinu { get; set; }
        public Druzina Druzina { get; set; }
        public Uzivatel VedouciDruziny { get; set; }
        public List<Uzivatel> UzivateleVDruzine { get; set; }
        public Clen Clen { get; set; }
        public List<Clen> ClenoveVDruzine { get; set; }
        public List<Akce> AkceDruziny { get; set; }

        [Required(ErrorMessage = "Email musí mít text")]
        [StringLength(1000)]
        public string TextEmailu { get; set; }
    }
}
