﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace ModrinkyWebApp.ViewModels
{
    public class ZapomenuteHesloViewModel
    {
        [Required(ErrorMessage = "Vyplnění emailové adresy je vyžadováno")]
        [RegularExpression(@"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", ErrorMessage = "Zadejte prosím validní adresu")]
        public string Email { get; set; }
    }
}
